#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 z-dns-z-dns-internal
version:              4.1.1
package-name:         dns
lib-name:             dns-internal
id:                   dns-4.1.1-D0xrbtPq92s463mXTQHJrX-dns-internal
key:                  dns-4.1.1-D0xrbtPq92s463mXTQHJrX-dns-internal
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  d6017481a26ebc3f84468964c8cd5ac1
exposed-modules:
    Network.DNS.Base32Hex Network.DNS.Decode.Internal
    Network.DNS.Decode.Parsers Network.DNS.Encode.Builders
    Network.DNS.Encode.Internal Network.DNS.Imports Network.DNS.Memo
    Network.DNS.Resolver.Internal Network.DNS.StateBinary
    Network.DNS.Types.Internal Network.DNS.Types.Resolver

import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-D0xrbtPq92s463mXTQHJrX-dns-internal
depends:
    array-0.5.4.0 async-2.2.5-63qhz2egf712xrTPAnr2Zj
    attoparsec-0.14.4-IQNmPMCm4joYQgQ4QRYaD
    auto-update-0.1.6-AS28q9DRJVR6bNV58RZk4d base-4.17.2.1
    base16-bytestring-1.0.2.0-6rbdoCG2msdTv6IBDA7o9
    base64-bytestring-1.2.1.0-7xVaTVqDG735RPDuqG4EFR
    bytestring-0.11.5.3 case-insensitive-1.2.1.0-LMolnZwpRvW7BfRj8XMS7A
    containers-0.6.7 cryptonite-0.30-AXbrWc6WDNMJ9RW3wSjNzJ
    hourglass-0.2.12-6Ysd0hhNR8hDYlztHWe9yc
    iproute-1.7.15-CnWUyo1uoQKIAdvIUppwo5 mtl-2.2.2
    network-3.1.4.0-Kct0mSlvmXmLu6Ylw4X71A
    psqueues-0.2.8.1-fZVqhD3U3u5LpxAgi2D6t

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 dns
version:              4.1.1
visibility:           public
id:                   dns-4.1.1-6WF3un1BeCTDRyLSM5j4zT
key:                  dns-4.1.1-6WF3un1BeCTDRyLSM5j4zT
license:              BSD-3-Clause
maintainer:           Kazu Yamamoto <kazu@iij.ad.jp>
author:               Kazu Yamamoto <kazu@iij.ad.jp>
synopsis:             DNS library in Haskell
description:
    A thread-safe DNS library for both clients and servers written
    in pure Haskell.

category:             Network
abi:                  5bc4b0b95346c7f123afc704504a6118
exposed:              True
exposed-modules:
    Network.DNS Network.DNS.Decode Network.DNS.Encode Network.DNS.IO
    Network.DNS.Lookup Network.DNS.LookupRaw Network.DNS.Resolver
    Network.DNS.Types Network.DNS.Utils

hidden-modules:       Network.DNS.Transport
import-dirs:          /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs:         /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/dns-4.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-dns
hs-libraries:         HSdns-4.1.1-6WF3un1BeCTDRyLSM5j4zT
depends:
    array-0.5.4.0 async-2.2.5-63qhz2egf712xrTPAnr2Zj
    attoparsec-0.14.4-IQNmPMCm4joYQgQ4QRYaD
    auto-update-0.1.6-AS28q9DRJVR6bNV58RZk4d base-4.17.2.1
    base16-bytestring-1.0.2.0-6rbdoCG2msdTv6IBDA7o9
    base64-bytestring-1.2.1.0-7xVaTVqDG735RPDuqG4EFR
    bytestring-0.11.5.3 containers-0.6.7
    cryptonite-0.30-AXbrWc6WDNMJ9RW3wSjNzJ
    dns-4.1.1-D0xrbtPq92s463mXTQHJrX-dns-internal
    hourglass-0.2.12-6Ysd0hhNR8hDYlztHWe9yc
    iproute-1.7.15-CnWUyo1uoQKIAdvIUppwo5 mtl-2.2.2
    network-3.1.4.0-Kct0mSlvmXmLu6Ylw4X71A
    psqueues-0.2.8.1-fZVqhD3U3u5LpxAgi2D6t

haddock-interfaces:   /usr/share/doc/haskell-dns/html/dns.haddock
haddock-html:         /usr/share/doc/haskell-dns/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

